Subject: Re: [PATCH 2.6.22] TCP: Make TCP_RTO_MAX a variable (take 2)

From: Rick Jones <[email-masked]>
Date: Wed, 29 Aug 2007 09:16:43 -0700

OBATA Noboru wrote:
> What about another option to let TCP have a notification?
> 
> Can it be a solution if it is standardized?

It would at best be a partial solution which would only work when the 
link failover/whatnot happened on the same system/node as the TCP 
endpoint.  Then it can be some sort of call-back to TCP or the like.

If this failover is out in the middle of the cloud the only way to get a 
notification back to TCP would be by sending it a packet of some sort 
and I don't see that happening.

rick jones